CREATE TABLE cmf_legal_doc_associations (
    LAWSUIT_ID                   NUMBER(18, 0) ,
    CONCESSION_ACT_ID            VARCHAR2(240)     NOT NULL,
    ORIGIN_OR_PROCEEDING         VARCHAR2(120)     NOT NULL,
    DOCUMENT_HEADER_ID           NUMBER(18, 0)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    EXTERNAL_SYSTEM_REFERENCE    VARCHAR2(960) ,
    EXTERNAL_SYSTEM_REF_ID       VARCHAR2(120) ,
    REQUEST_ID                   NUMBER(18, 0) ,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    LAWSUIT_ID                   NUMBER(18, 0) ,
    CONCESSION_ACT_ID            VARCHAR2(240)     NOT NULL,
    ORIGIN_OR_PROCEEDING         VARCHAR2(120)     NOT NULL,
    DOCUMENT_HEADER_ID           NUMBER(18, 0)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    EXTERNAL_SYSTEM_REFERENCE    VARCHAR2(960) ,
    EXTERNAL_SYSTEM_REF_ID       VARCHAR2(120) ,
    REQUEST_ID                   NUMBER(18, 0) ,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    CONSTRAINT pk_cmf_legal_doc_associations PRIMARY KEY (LAWSUIT_ID, LAWSUIT_ID)
);
